org.springframework.cloud.dataflow.rest.resource

## Class StreamDeploymentResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<StreamDeploymentResource>
  - - org.springframework.cloud.dataflow.rest.resource.StreamDeploymentResource

-     public class StreamDeploymentResource
      extends org.springframework.hateoas.RepresentationModel<StreamDeploymentResource>

  A HATEOAS representation of a stream deployment.
  Author:
    Eric Bottard, Ilayaperumal Gopinathan

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StreamDeploymentResource.Page`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StreamDeploymentResource()` Default constructor for serialization frameworks.
    `` | `StreamDeploymentResource(String streamName, String dslText)`
    `` | `StreamDeploymentResource(String streamName, String dslText, String deploymentProperties)`
    `` | `StreamDeploymentResource(String streamName, String dslText, String deploymentProperties, String status)`
    `` | `StreamDeploymentResource(String streamName, String dslText, String description, String deploymentProperties, String status)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeploymentProperties()`
    `String` | `getDescription()`
    `String` | `getDslText()`
    `String` | `getStatus()`
    `String` | `getStreamName()`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamDeploymentResource

          protected StreamDeploymentResource()

      Default constructor for serialization frameworks.

    - #### StreamDeploymentResource

          public StreamDeploymentResource(String streamName,
                                          String dslText)

    - #### StreamDeploymentResource

          public StreamDeploymentResource(String streamName,
                                          String dslText,
                                          String deploymentProperties)

    - #### StreamDeploymentResource

          public StreamDeploymentResource(String streamName,
                                          String dslText,
                                          String deploymentProperties,
                                          String status)

    - #### StreamDeploymentResource

          public StreamDeploymentResource(String streamName,
                                          String dslText,
                                          String description,
                                          String deploymentProperties,
                                          String status)

  - ### Method Detail

    - #### getStreamName

          public String getStreamName()

    - #### getDeploymentProperties

          public String getDeploymentProperties()

    - #### getDslText

          public String getDslText()

    - #### getStatus

          public String getStatus()

    - #### getDescription

          public String getDescription()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.